[![Binder](https://mybinder.org/badge_logo.svg)](https://mybinder.org/v2/git/http%3A%2F%2Flabs.onb.ac.at%2Fgitlab%2Flabs-team%2Fwebarchive-api.git/HEAD)

# Webarchive API

* [Swagger](https://webarchiv.onb.ac.at/api.html)

## [webarchiv.py](webarchiv.py)

Module to establish a session for the [Webarchive Austria](https://webarchiv.onb.ac.at/) API and do things like
checksum-extraction.

## [Nationalrat2015](Nationalrat2015.ipynb)

We analyse the changes of a pdf that shows the seating plan of the National Assembly of Austria by checksum.

## [Innenminister2009-2019](Innenminister2009-2019.ipynb)

We analyse the changes of the website of the Ministry of the Interior of Austria.

## [sample1](sample1.ipynb)

Get the Webarchive Austria metadata and analyse which crawls where dune during the European Song Contest 2015.

## [sample2](sample2.ipynb)

How to establish a session in the Webarchive.

## [sample3](sample3.ipynb)

Fulltext search and how to handle the response.

## [sample4](sample4.ipynb)

Get number of captures per site for a specific event.

## [sample5](sample5.ipynb)

Get domain names captured by the Webarchive Austria that contain the string "mozart".

## [sample6](sample6.ipynb)

Get the top hit by largest number of hits for a specific term searched.

## [sample7](sample7.ipynb)

Get previews of pages as blurred SVGs to see major changes in the site.

## [sample8](sample8.ipynb)

Add a page you want to be tracked in the Webarchive Austria.

## [sample9](sample9.ipynb)

Create a watchlist of a list of captures.